Description

Received the following error when trying to delete a host: ActiveRecord::RecordNotDestroyed

2016-04-19 14:53:12 [app] [W] Action failed

 | ActiveRecord::RecordNotDestroyed: ActiveRecord::RecordNotDestroyed

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/persistence.rb:1

67:in `destroy!'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/has

_many_association.rb:112:in `each'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/has

_many_association.rb:112:in `delete_records'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:492:in `remove_records'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:485:in `block in delete_or_destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:168:in `block in transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapt

ers/abstract/database_statements.rb:199:in `transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

208:in `transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:167:in `transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:485:in `delete_or_destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:270:in `destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/col

lection_association.rb:208:in `destroy_all'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/has

_many_association.rb:26:in `handle_dependency'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/associations/bui

lder/association.rb:135:in `block in add_before_destroy_callbacks'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

40:in `instance_exec'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

40:in `block in make_lambda'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

60:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

60:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

15:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

15:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:8

6:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:8

6:in `run_callbacks'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/callbacks.rb:292

:in `destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

263:in `block in destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

329:in `block in with_transaction_returning_status'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapt

ers/abstract/database_statements.rb:201:in `block in transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapt

ers/abstract/database_statements.rb:209:in `within_new_transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapt

ers/abstract/database_statements.rb:201:in `transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

208:in `transaction'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

326:in `with_transaction_returning_status'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/transactions.rb:

263:in `destroy'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:538:in `block in submit_multiple_destroy

'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:538:in `delete_if'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:538:in `submit_multiple_destroy'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/implicit

_render.rb:4:in `send_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/abstract_controller/base.rb:189:

in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/renderin

g.rb:10:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/abstract_controller/callbacks.rb

:20:in `block in process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

13:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

13:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1
49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

47:in `public_send'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

47:in `block in make_lambda'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

24:in `block in make_lambda'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1
49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

29:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

29:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

24:in `block in make_lambda'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

29:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2
29:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

66:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

99:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

47:in `public_send'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:4

47:in `block in make_lambda'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:2

98:in `block in halting'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:1

49:in `block in halting_and_conditional'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:8

6:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:8

6:in `run_callbacks'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/abstract_controller/callbacks.rb

:19:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/rescue.r

b:29:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/instrume

ntation.rb:31:in `block in process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications.

rb:159:in `block in instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications/

instrumenter.rb:20:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications.

rb:159:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/instrume

ntation.rb:30:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/params_w

rapper.rb:250:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/railties/control

ler_runtime.rb:18:in `process_action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/abstract_controller/base.rb:136:

in `process'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/rendering.rb:30:in `

process'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal.rb:196:i

n `dispatch'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/rack_del

egation.rb:13:in `dispatch'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal.rb:232:i

n `block in action'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/routing/route_se

t.rb:82:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/routing/route_se

t.rb:82:in `dispatch'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/routing/route_se

t.rb:50:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/journey/router.r

b:71:in `block in call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/journey/router.r

b:59:in `each'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/journey/router.r

b:59:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/routing/route_se

t.rb:678:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.5/lib/apipie/static_dispatcher.rb

:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.5/lib/apipie/extractor/recorder.r

b:132:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.5/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/etag.rb:23:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/conditionalget.rb:35:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/head.rb:11:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/param

s_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/flash

.rb:254:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/session/abstract/id.rb:225:in `co

ntext'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/session/abstract/id.rb:220:in `ca

ll'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/cooki

es.rb:560:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/query_cache.rb:3

6:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapt

ers/abstract/connection_pool.rb:621:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/callb

acks.rb:29:in `block in call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/callbacks.rb:8

2:in `run_callbacks'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/callb

acks.rb:27:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/remot

e_ip.rb:76:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/debug

_exceptions.rb:17:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/show_

exceptions.rb:30:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/rack/logger.rb:38:in `call_a

pp'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/rack/logger.rb:22:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/reque

st_id.rb:21:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/methodoverride.rb:21:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/runtime.rb:17:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/cache/strategy

/local_cache_middleware.rb:26:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/stati

c.rb:64:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/sendfile.rb:112:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/engine.rb:514:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/application.rb:144:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `public_se

nd'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `method_mi

ssing'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/builder.rb:138:in `call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:65:in `block in call'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `each'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77

:in `process_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:1

40:in `accept_and_process_next_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:1

08:in `main_loop'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3

 levels) in start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'

 After some troubleshooting this issue was caused because foreman-proxy was unable to delete the dns records for this host, which

received the following error:

D, [2016-04-19T15:24:03.898098 #11412] DEBUG -- : nsupdate: executed - server 127.0.0.1

D, [2016-04-19T15:24:03.906988 #11412] DEBUG -- : nsupdate: executed - update add foo. 86400 A 192

.168.35.181

D, [2016-04-19T15:24:03.914872 #11412] DEBUG -- : nsupdate: errors

Answer:

;; ->>HEADER<<- opcode: UPDATE, status: SERVFAIL, id:  26013

;; flags: qr ra; ZONE: 1, PREREQ: 0, UPDATE: 0, ADDITIONAL: 1

;; ZONE SECTION:

;foo.corp.            IN    SOA

;; TSIG PSEUDOSECTION:

foreman.        0    ANY    TSIG    <snip> 26013 NOERROR 0

E, [2016-04-19T15:24:03.916830 #11412] ERROR -- : Update errors: Answer:

;; ->>HEADER<<- opcode: UPDATE, status: SERVFAIL, id:  26013

;; flags: qr ra; ZONE: 1, PREREQ: 0, UPDATE: 0, ADDITIONAL: 1

;; ZONE SECTION:

;grass.corp.            IN    SOA

;; TSIG PSEUDOSECTION:

foreman.        0    ANY    TSIG    hmac-md5.sig-alg.reg.int.<snip> NOERROR 0

D, [2016-04-19T15:24:03.917002 #11412] DEBUG -- : Update errors: Answer:

;; ->>HEADER<<- opcode: UPDATE, status: SERVFAIL, id:  26013

;; flags: qr ra; ZONE: 1, PREREQ: 0, UPDATE: 0, ADDITIONAL: 1

;; ZONE SECTION:

;grass.corp.            IN    SOA

;; TSIG PSEUDOSECTION:

foreman.        0    ANY    TSIG    hmac-md5.sig-alg.reg.int<snip>26013 NOERROR 0

 (Proxy::Dns::Error)

/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_main.rb:79:in `nsupdate_disconnect'

/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_main.rb:32:in `do_create'

/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_main.rb:16:in `create_a_record'
/usr/share/foreman-proxy/modules/dns/dns_api.rb:21:in `POST /?'

 named logs:

19-Apr-2016 15:35:27.996 update: clientx.x.x.x#53147: updating zone 'grass.corp/IN': adding an RR 

at 'foo' A

19-Apr-2016 15:35:27.997 general: /etc/named/foo.db.jnl: create: permission denied

19-Apr-2016 15:35:27.997 update: client x.x.x.x#53147: updating zone 'foop/IN': error: journal ope

n failed: unexpected error

 So not a foreman issue, but a more descriptive error message would be great.

Related issues:

Related to Foreman - Bug #15206: Unable to Disassociate Hosts or to Remove ho... Resolved 05/26/2016

Related to Foreman - Bug #15768: Destroying of the host not possible Duplicate 07/21/2016

Related to Foreman - Bug #19280: Failed to destroy host on 1.15 RC Feedback 04/16/2017

Has duplicate Foreman - Bug #18590: Failed to destroy the record Duplicate 02/21/2017

History

#1 - 04/19/2016 04:48 AM - Marek Hulán

- Subject changed from ActiveRecord::RecordNotDestroyed error due to dns update issue when trying to deete a host to Improve error messages

when deleting multiple host fails because of proxy errors

- Category set to Orchestration

#2 - 04/21/2016 09:17 AM - Dominic Cleal

- Priority changed from Low to Normal

- translation missing: en.field_release set to 155

I think this is a change in behaviour, since in 1.10 (with Rails 3.2) the error would be caught and would bubble up to the UI as a flash.

1.10-stable:

2016-04-21T13:01:30 [app] [I] Started DELETE "/hosts/wstest.example.com" for 127.0.0.1 at 2016-04-21 13:01:30 

+0100

2016-04-21T13:01:30 [app] [I] Processing by HostsController#destroy as HTML

2016-04-21T13:01:30 [app] [I]   Parameters: {"authenticity_token"=>"adVYEYL/s2YN4bENgzAnuwV5wjZDC2IQN2ukdulTRA

w=", "id"=>"wstest.example.com"}

2016-04-21T13:01:30 [sql] [D]   User Load (0.1ms)  SELECT "users".* FROM "users" WHERE "users"."id" = ? LIMIT 

1  [["id", 24]]

...

2016-04-21T13:01:31 [sql] [D] Using host queue

2016-04-21T13:01:31 [sql] [D] Using host queue

2016-04-21T13:01:31 [app] [I] Delete the DNS PTR record for 192.168.122.137/wstest.example.com

2016-04-21T13:01:31 [app] [W] Remove Reverse DNS record for wstest.example.com task failed with the following 

error: ERF12-1261 [ProxyAPI::ProxyException]: Unable to delete DNS entry ([Errno::ECONNREFUSED]: Connection re

fused - connect(2)) for proxy http://localhost:8443

/dns

 | ProxyAPI::ProxyException: ERF12-1261 [ProxyAPI::ProxyException]: Unable to delete DNS entry ([Errno::ECONNR

EFUSED]: Connection refused - connect(2)) for proxy http://localhost:8443/dns

 | /home/dcleal/code/foreman/foreman/lib/proxy_api/dns.rb:27:in `rescue in delete'

 | /home/dcleal/code/foreman/foreman/lib/proxy_api/dns.rb:22:in `delete'

 | /home/dcleal/code/foreman/foreman/lib/net/dns/ptr_record.rb:15:in `destroy'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration/dns.rb:104:in `del_dns_ptr_record'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:168:in `execute'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:113:in `block in process'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:105:in `each'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:105:in `process'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:43:in `on_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:46

0:in `_run__3625621569223200670__destroy__442775776796353431__callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:38

5:in `_run_destroy_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81

:in `run_callbacks'
 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:254:

in `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

54:in `block in destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:3

13:in `block in with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

08:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:3

11:in `with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

54:in `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/has_

many_association.rb:90:in `block in delete_records'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/has_

many_association.rb:90:in `each'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/has_

many_association.rb:90:in `delete_records'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:466:in `remove_records'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:459:in `block in delete_or_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:149:in `block in transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

08:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:148:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:459:in `delete_or_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:231:in `delete'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_association.rb:157:in `delete_all'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/coll

ection_proxy.rb:46:in `delete_all'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/associations/buil

der/has_many.rb:42:in `block in define_destroy_dependency_method'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:44

0:in `_run__4100763155746977097__destroy__442775776796353431__callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:38

5:in `_run_destroy_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81

:in `run_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:254:

in `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

54:in `block in destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:3

13:in `block in with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

08:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:3

11:in `with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb:2

54:in `destroy'

 | /home/dcleal/code/foreman/foreman/app/controllers/hosts_controller.rb:115:in `destroy'

[...]

2016-04-21T13:01:31 [sql] [D] Using host queue

2016-04-21T13:01:31 [sql] [W] Rolling back due to a problem: [#<Orchestration::Task:0x0000000b631130 @name="Re

move Reverse DNS record for wstest.example.com", @status="failed", @priority=1, @action=[#<Nic::Managed id: 11

, mac: "52:54:00:88:73:14", ip: "192.168.122.137", 

type: "Nic::Managed", name: "wstest.example.com", host_id: 118, subnet_id: 4, domain_id: 6, attrs: {}, created

_at: "2015-01-28 14:06:21", updated_at: "2015-07-21 10:55:31", provider: nil, username: nil, password: nil, vi

rtual: false, link: true, identifier: "eth0", tag: 

"", attached_to: "", managed: true, mode: "balance-rr", attached_devices: "", bond_options: "", primary: true,

 provision: true, compute_attributes: {"type"=>"network", "_delete"=>"", "network"=>"default", "model"=>"virti
o", "from_profile"=>"libvirt"}>, :del_dns_ptr_recor

d], @timestamp=2016-04-21 13:01:31 +0100>]

[...]

2016-04-21T13:01:31 [sql] [D]   SQL (0.2ms)  DELETE FROM "hosts" WHERE "hosts"."type" IN ('Host::Managed') AND

 "hosts"."id" = ?  [["id", 118]]

2016-04-21T13:01:31 [sql] [D]    (0.3ms)  rollback transaction

2016-04-21T13:01:31 [app] [I] Failed to save: Remove Reverse DNS record for wstest.example.com task failed wit

h the following error: ERF12-1261 [ProxyAPI::ProxyException]: Unable to delete DNS entry ([Errno::ECONNREFUSED

]: Connection refused - connect(2)) for proxy http:

//localhost:8443/dns

2016-04-21T13:01:31 [app] [I] Redirected to http://0.0.0.0:3000/hosts

2016-04-21T13:01:31 [app] [I] Completed 302 Found in 887.6ms (ActiveRecord: 11.8ms)

 1.11-stable:

2016-04-21T13:11:09 [app] [I] Started DELETE "/hosts/wstest.example.com" for 127.0.0.1 at 2016-04-21 13:11:09 

+0100

2016-04-21T13:11:09 [app] [I] Processing by HostsController#destroy as HTML

2016-04-21T13:11:09 [app] [I]   Parameters: {"authenticity_token"=>"GZ+i/kAvvSnTwYbEAAFUqe+WTbR2O9zjAhSmzeUEIe

f3KZCc3T5WzQY1jbMbjCCvi3VQ/sNuYWQVIZi5ICzsVw==", "id"=>"wstest.example.com"}

2016-04-21T13:11:09 [sql] [D]   ActiveRecord::SessionStore::Session Load (0.1ms)  SELECT  "sessions".* FROM "s

essions" WHERE "sessions"."session_id" = ?  ORDER BY "sessions"."id" ASC LIMIT 1  [["session_id", "a85c824d886

e8f96cfd9a0d7edda0750"]]

[...]

2016-04-21T13:11:10 [sql] [D] Using host queue

2016-04-21T13:11:10 [sql] [D] Using host queue

2016-04-21T13:11:10 [app] [I] Delete the DNS PTR record for 192.168.122.137/wstest.example.com

2016-04-21T13:11:10 [app] [W] Remove Reverse DNS record for wstest.example.com task failed with the following 

error: ERF12-1261 [ProxyAPI::ProxyException]: Unable to delete DNS entry ([Errno::ECONNREFUSED]: Connection re

fused - connect(2)) for proxy http://localhost:8443

/dns

 | ProxyAPI::ProxyException: ERF12-1261 [ProxyAPI::ProxyException]: Unable to delete DNS entry ([Errno::ECONNR

EFUSED]: Connection refused - connect(2)) for proxy http://localhost:8443/dns

 | /home/dcleal/code/foreman/foreman/lib/proxy_api/dns.rb:27:in `rescue in delete'

 | /home/dcleal/code/foreman/foreman/lib/proxy_api/dns.rb:22:in `delete'

 | /home/dcleal/code/foreman/foreman/lib/net/dns/ptr_record.rb:15:in `destroy'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration/dns.rb:104:in `del_dns_ptr_record'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:162:in `execute'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:107:in `block in process'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:99:in `each'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:99:in `process'

 | /home/dcleal/code/foreman/foreman/app/models/concerns/orchestration.rb:43:in `on_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:432

:in `block in make_lambda'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:228

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:228

:in `block in halting_and_conditional'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:506

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:506

:in `block in call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:506

:in `each'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:506

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:92:

in `__run_callbacks__'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778

:in `_run_destroy_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/callbacks.rb:292:i

n `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:28

1:in `block in destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:35

1:in `block in with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapter

s/abstract/database_statements.rb:211:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:22

0:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:34

8:in `with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:28

1:in `destroy'
 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/persistence.rb:185

:in `destroy!'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/has_m

any_association.rb:171:in `each'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/has_m

any_association.rb:171:in `delete_records'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:525:in `remove_records'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:518:in `block in delete_or_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:183:in `block in transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapter

s/abstract/database_statements.rb:211:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:22

0:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:182:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:518:in `delete_or_destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:279:in `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/colle

ction_association.rb:223:in `destroy_all'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/has_m

any_association.rb:27:in `handle_dependency'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/associations/build

er/association.rb:146:in `block in add_destroy_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:448

:in `instance_exec'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:448

:in `block in make_lambda'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:164

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:164

:in `block in halting'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504

:in `block in call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504

:in `each'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504

:in `call'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:92:

in `__run_callbacks__'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778

:in `_run_destroy_callbacks'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/callbacks.rb:292:i

n `destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:28

1:in `block in destroy'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:35

1:in `block in with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapter

s/abstract/database_statements.rb:213:in `block in transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapter

s/abstract/transaction.rb:184:in `within_new_transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapter

s/abstract/database_statements.rb:213:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:22

0:in `transaction'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:34

8:in `with_transaction_returning_status'

 | /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:28

1:in `destroy'

 | /home/dcleal/code/foreman/foreman/app/controllers/hosts_controller.rb:121:in `destroy'

[...]

2016-04-21T13:11:10 [sql] [D] Using host queue

2016-04-21T13:11:10 [sql] [W] Rolling back due to a problem: [#<Orchestration::Task:0x007f85959befe8 @name="Re

move Reverse DNS record for wstest.example.com", @status="failed", @priority=1, @action=[#<Nic::Managed id: 11

, mac: "52:54:00:88:73:14", ip: "192.168.122.137", 

type: "Nic::Managed", name: "wstest.example.com", host_id: 118, subnet_id: 4, domain_id: 6, attrs: {}, created

_at: "2015-01-28 14:06:21", updated_at: "2015-07-21 10:55:31", provider: nil, username: nil, password: nil, vi

rtual: false, link: true, identifier: "eth0", tag: 
"", attached_to: "", managed: true, mode: "balance-rr", attached_devices: "", bond_options: "", primary: true,

 provision: true, compute_attributes: {"type"=>"network", "_delete"=>"", "network"=>"default", "model"=>"virti

o", "from_profile"=>"libvirt"}>, :del_dns_ptr_recor

d], @timestamp=2016-04-21 12:11:10 UTC>]

2016-04-21T13:11:10 [sql] [D]    (0.2ms)  rollback transaction

2016-04-21T13:11:10 [app] [I] Completed 500 Internal Server Error in 598ms (ActiveRecord: 3.9ms)

2016-04-21T13:11:10 [app] [F] 

 | ActiveRecord::RecordNotDestroyed (Failed to destroy the record):

 |   app/controllers/hosts_controller.rb:121:in `destroy'

 |   app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 |   app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | 

 | 

2016-04-21T13:11:10 [app] [I]   Rendered /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/

lib/action_dispatch/middleware/templates/rescues/_source.erb (9.5ms)

2016-04-21T13:11:10 [app] [I]   Rendered /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/

lib/action_dispatch/middleware/templates/rescues/_trace.html.erb (3.1ms)

2016-04-21T13:11:10 [app] [I]   Rendered /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/

lib/action_dispatch/middleware/templates/rescues/_request_and_response.html.erb (1.0ms)

2016-04-21T13:11:10 [app] [I]   Rendered /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/

lib/action_dispatch/middleware/templates/rescues/diagnostics.html.erb within rescues/layout (25.2ms)

#3 - 05/18/2016 05:56 AM - Dominic Cleal

- translation missing: en.field_release changed from 155 to 159

#4 - 05/27/2016 03:19 AM - Dominic Cleal

- Related to Bug #15206: Unable to Disassociate Hosts or to Remove hosts once they are supposedly disassociated added

#5 - 06/21/2016 03:47 AM - Dominic Cleal

- translation missing: en.field_release deleted (159)

#6 - 07/21/2016 08:18 AM - Dominic Cleal

- Related to Bug #15768: Destroying of the host not possible added

#7 - 09/21/2016 12:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Brandon Weeks

- Pull request https://github.com/theforeman/foreman/pull/3867 added

#8 - 02/21/2017 09:23 AM - Dominic Cleal

- Has duplicate Bug #18590: Failed to destroy the record added

#9 - 04/20/2017 04:05 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Brandon Weeks)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3867)

#10 - 04/20/2017 04:09 AM - Ohad Levy

If I understood the original PR correctly, this will be fixed when we migrate to rails 5?

#11 - 05/12/2017 05:53 AM - Dominic Cleal

- Related to Bug #19280: Failed to destroy host on 1.15 RC added

#12 - 06/04/2021 08:11 AM - Leos Stejskal

- Status changed from New to Closed

Hi, I'm closing the issue, it has been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen it.
